## obs-scene-notes-dock 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18)
project(scene-notes-dock VERSION 0.0.4)
set(PROJECT_FULL_NAME "Scene Notes Dock")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

find_package(Qt5Widgets)

set(CMAKE_AUTOMOC ON)

set(scene-notes-dock_HEADERS
	scene-notes-dock.hpp
	version.h)
set(scene-notes-dock_SOURCES
	scene-notes-dock.cpp)

if(WIN32)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(resource.rc.in scene-notes-dock.rc)
	list(APPEND scene-notes-dock_SOURCES
		scene-notes-dock.rc)
endif()

if(BUILD_OUT_OF_TREE)
    find_package(LibObs REQUIRED)
endif()

add_library(scene-notes-dock MODULE
	${scene-notes-dock_HEADERS}
	${scene-notes-dock_SOURCES})

target_link_libraries(scene-notes-dock
		obs-frontend-api
		Qt5::Widgets
		libobs)

if(BUILD_OUT_OF_TREE)
    if(NOT LIB_OUT_DIR)
        set(LIB_OUT_DIR "/lib/obs-plugins")
    endif()
    if(NOT DATA_OUT_DIR)
        set(DATA_OUT_DIR "/share/obs/obs-plugins/scene-notes-dock")
    endif()
    set_target_properties(scene-notes-dock PROPERTIES PREFIX "")
    install(TARGETS scene-notes-dock
        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
    install(DIRECTORY data/locale
        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
else()
    target_include_directories(scene-notes-dock PRIVATE
        "${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
    set_target_properties(scene-notes-dock PROPERTIES FOLDER "plugins/exeldro")
    install_obs_plugin_with_data(scene-notes-dock data)
endif()

=== debian/changelog ===
obs-scene-notes-dock (0.0.4-1) unstable; urgency=medium

  * New upstream version 0.0.4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 19 Feb 2022 14:36:36 -0300

obs-scene-notes-dock (0.0.3-1) unstable; urgency=medium

  * New upstream release 0.0.3.
  * Upload to unstable.
  * debian/copyright: updated upstream copyright years.
  * debian/install: removed. The upstream source code already installs the data
    file.
  * debian/patches/010_fix-cmake.patch: removed. The upstream fixed the source
    code. Thanks.
  * debian/rules: fixed a mistake when installing the data file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 13 Feb 2022 16:47:33 -0300

obs-scene-notes-dock (0.0.2-2) UNRELEASED; urgency=medium

  * Using variables to improve and standardize the building and CI test.
    Consequently, updated the following files:
      - debian/rules
      - debian/tests/control
  * debian/copyright: updated packaging copyright years.
  * debian/upstream/metadata: added Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 01 Jan 2022 21:08:22 -0300

obs-scene-notes-dock (0.0.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1002802)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 30 Dec 2021 19:28:37 -0300

=== debian/control ===
Source: obs-scene-notes-dock
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 26), qtbase5-dev
Standards-Version: 4.6.0
Homepage: https://obsproject.com/forum/resources/scene-notes-dock.1398/
Vcs-Browser: https://salsa.debian.org/debian/obs-scene-notes-dock
Vcs-Git: https://salsa.debian.org/debian/obs-scene-notes-dock.git
Rules-Requires-Root: no

Package: obs-scene-notes-dock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 26)
Enhances: obs-studio
Description: plugin for OBS Studio to create notes for each scene
 This plugin allows anybody to create a Dock for showing and editing notes
 for the current active scene. This is useful to describe each scene, to make
 a little script, a list of links or a task list to be used in specific scenes
 during the stream.
 .
 This plugin is compatible with OBS 26 or higher.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT = qt5

# Exclude "obs-" from NAME and set a DEST
export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
export PLUGIN_DEST=debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_OUT_OF_TREE=1 \
                             -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME}

execute_after_dh_install-arch:
	# Check if the plugin is in right place
	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so

## obs-scene-notes-dock 0.1.1

=== CMakeLists.txt ===
# --- Detect if the plugin is build out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.18)
endif()

project(scene-notes-dock VERSION 0.1.1)
set(PROJECT_FULL_NAME "Scene Notes Dock")

# Set new UUIDs when you start to create a new plugin.
set(MACOS_PACKAGE_UUID "03EC1C6E-F6CC-49C9-B08D-03C57F9163F3")
set(MACOS_INSTALLER_UUID "C9286EDE-0A34-4CB7-85CB-992F34DA374C")

add_library(${PROJECT_NAME} MODULE)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

target_sources(${PROJECT_NAME} PRIVATE
	scene-notes-dock.cpp
	scene-notes-dock.hpp
	version.h)

if(BUILD_OUT_OF_TREE)
	find_package(libobs REQUIRED)
	find_package(obs-frontend-api REQUIRED)
	include(cmake/ObsPluginHelpers.cmake)
	set(OBS_FRONTEND_API_NAME "obs-frontend-api")
  else()
	  set(OBS_FRONTEND_API_NAME "frontend-api")
  endif()
  
  if(OS_WINDOWS)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/resource.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
	target_sources(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
	
elseif(OS_MACOS)
	set(MACOS_BUNDLEID "com.exeldro.${PROJECT_NAME}")
	set(MACOSX_PLUGIN_GUI_IDENTIFIER "${MACOS_BUNDLEID}")
	set(MACOSX_PLUGIN_BUNDLE_VERSION "${PROJECT_VERSION}")
	set(MACOSX_PLUGIN_SHORT_VERSION_STRING "1")
	configure_file(cmake/bundle/macos/installer-macos.pkgproj.in ${CMAKE_BINARY_DIR}/installer-macos.generated.pkgproj)
	target_compile_options(${PROJECT_NAME} PRIVATE -Wall)
endif()

# lines if you want add Qt UI in your plugin
find_qt(COMPONENTS Widgets COMPONENTS_LINUX Gui)
set_target_properties(${PROJECT_NAME} PROPERTIES AUTOMOC ON AUTOUIC ON AUTORCC ON)

target_link_libraries(${PROJECT_NAME}
		OBS::${OBS_FRONTEND_API_NAME}
		Qt::Widgets
		OBS::libobs)

	if(BUILD_OUT_OF_TREE)
		if(NOT LIB_OUT_DIR)
			set(LIB_OUT_DIR "/lib/obs-plugins")
		endif()
		if(NOT DATA_OUT_DIR)
			set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
		endif()
		set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
		install(TARGETS ${PROJECT_NAME}
			LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
		install(DIRECTORY data/locale
			DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
	else()
		target_include_directories(${PROJECT_NAME} PRIVATE
			"${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
		set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
	endif()
	setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-scene-notes-dock (0.1.1-4) unstable; urgency=medium

  * debian/rules: removed temporary workaround to exclude extra installed
    files in favor of the '-DLINUX_PORTABLE=Off' argument for CMake.
  * debian/upstream/metadata: updated Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 18:33:36 -0300

obs-scene-notes-dock (0.1.1-3) unstable; urgency=medium

  * debian/watch: using filenamemangle to generate right names for downloaded
    files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 31 Jan 2023 21:42:20 -0300

obs-scene-notes-dock (0.1.1-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright:
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated packaging copyright years.
  * debian/patches/010_update-pt-BR.patch: created to update the pt_BR
    translation.
  * debian/rules: added a target to check if translation to pt_BR is updated.
  * debian/upstream/metadata: added Screenshots field.
  * debian/watch: improved the search rule, checking if the upstream forgotten
    to add a tag on GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 29 Jan 2023 22:26:00 -0300

obs-scene-notes-dock (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1.
  * Ran wrap-and-sort.
  * debian/control:
      - Bumped relationships from 26 to 28.0.1 for obs-studio and libobs.
      - Bumped Standards-Version to 4.6.1.
      - Removed a sentence about minimum supported version for OBS in long
        description.
  * debian/rules: added a temporary workaround to remove duplicate files
    created by upstream.
  * debian/upstream/metadata: removed duplicate Donation field.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 13 Oct 2022 14:35:30 -0300

=== debian/control ===
Source: obs-scene-notes-dock
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libobs-dev (>= 28.0.1),
               qtbase5-dev
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/scene-notes-dock.1398/
Vcs-Browser: https://salsa.debian.org/debian/obs-scene-notes-dock
Vcs-Git: https://salsa.debian.org/debian/obs-scene-notes-dock.git
Rules-Requires-Root: no

Package: obs-scene-notes-dock
Architecture: any
Depends: obs-studio (>= 28.0.1), ${misc:Depends}, ${shlibs:Depends}
Enhances: obs-studio
Description: plugin for OBS Studio to create notes for each scene
 This plugin allows anybody to create a Dock for showing and editing notes
 for the current active scene. This is useful to describe each scene, to make
 a little script, a list of links or a task list to be used in specific scenes
 during the stream.

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,21 @@
 %:
 	dh $@
 
+execute_before_dh_auto_configure:
+	if [ "$(shell hostname)" = "canopus" ]; then \
+	    LINESUS=$(shell cat data/locale/en-US.ini | wc -l); \
+	    LINESPT=$(shell cat data/locale/pt-BR.ini | wc -l); \
+	    if [ "$$LINESUS" != "$$LINESPT" ]; then \
+	        echo "ERROR: Translation to pt_BR is out of date."; \
+	        exit 1; \
+	    fi; \
+	fi
+
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_OUT_OF_TREE=1 \
                              -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
-                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME}
+                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
+                             -DLINUX_PORTABLE=Off
 
 execute_after_dh_install-arch:
 	# Check if the plugin is in right place

## obs-scene-notes-dock 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
 # --- Detect if the plugin is build out of tree or not ---
 if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
   set(BUILD_OUT_OF_TREE OFF)
+  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+    legacy_check()
+  endif()
 else()
   set(BUILD_OUT_OF_TREE ON)
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(scene-notes-dock VERSION 0.1.1)
+project(scene-notes-dock VERSION 0.2.0)
 set(PROJECT_FULL_NAME "Scene Notes Dock")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -62,22 +65,27 @@
 		Qt::Widgets
 		OBS::libobs)
 
-	if(BUILD_OUT_OF_TREE)
-		if(NOT LIB_OUT_DIR)
-			set(LIB_OUT_DIR "/lib/obs-plugins")
-		endif()
-		if(NOT DATA_OUT_DIR)
-			set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
-		endif()
-		set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
-		install(TARGETS ${PROJECT_NAME}
-			LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
-		install(DIRECTORY data/locale
-			DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+if(BUILD_OUT_OF_TREE)
+	if(NOT LIB_OUT_DIR)
+		set(LIB_OUT_DIR "/lib/obs-plugins")
+	endif()
+	if(NOT DATA_OUT_DIR)
+		set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
+	endif()
+	set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
+	install(TARGETS ${PROJECT_NAME}
+		LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
+	install(DIRECTORY data/locale
+		DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+	setup_plugin_target(${PROJECT_NAME})
+else()
+	target_include_directories(${PROJECT_NAME} PRIVATE
+		"${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
+	if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+		set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
 	else()
-		target_include_directories(${PROJECT_NAME} PRIVATE
-			"${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
 		set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+		setup_plugin_target(${PROJECT_NAME})
 	endif()
-	setup_plugin_target(${PROJECT_NAME})
+endif()

=== debian/changelog ===
obs-scene-notes-dock (0.2.0-4) unstable; urgency=medium

  * debian/control:
      - Added libxkbcommon-dev to Build-Depends field.
      - Bumped Standards-Version to 4.7.2.
  * debian/copyright: updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Mar 2025 19:57:45 -0300

obs-scene-notes-dock (0.2.0-3) unstable; urgency=medium

  * debian/control: changed qtbase5-dev by qt6-base-dev in Build-Depends field.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/020_fix-FTBFS.patch: created to fix a FTBFS. Thanks to
    Exeldro <exelsor@hotmail.com>. (Closes: #1060974)
  * debian/rules: removed no longer needed variable QT_SELECT=qt5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 10 May 2024 16:37:16 -0300

obs-scene-notes-dock (0.2.0-2) unstable; urgency=medium

  * debian/copyright: updated upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Nov 2023 23:03:43 -0300

obs-scene-notes-dock (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0.
  * debian/control:
      - Added a Breaks field to make this plugin incompatible with
        obs-text-slideshow, no longer in Debian.
      - Bumped (build-)dependency of libobs-dev and obs-studio to 29.
  * debian/patches/010_update-pt-BR.patch: updated with new translations.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Nov 2023 14:03:38 -0300

=== debian/control ===
Source: obs-scene-notes-dock
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libobs-dev (>= 29),
               libxkbcommon-dev,
               qt6-base-dev
Standards-Version: 4.7.2
Homepage: https://obsproject.com/forum/resources/scene-notes-dock.1398/
Vcs-Browser: https://salsa.debian.org/debian/obs-scene-notes-dock
Vcs-Git: https://salsa.debian.org/debian/obs-scene-notes-dock.git
Rules-Requires-Root: no

Package: obs-scene-notes-dock
Architecture: any
Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
Enhances: obs-studio
Breaks: obs-text-slideshow (<= 1.5.2-3)
Description: plugin for OBS Studio to create notes for each scene
 This plugin allows anybody to create a Dock for showing and editing notes
 for the current active scene. This is useful to describe each scene, to make
 a little script, a list of links or a task list to be used in specific scenes
 during the stream.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export QT_SELECT = qt5
 
 # Exclude "obs-" from NAME and set a DEST
 export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)

=== debian/watch ===
version=4

# The following rule is right, but the upstream frequently...
# https://github.com/exeldro/obs-scene-notes-dock/tags archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

# The upstream frequently forgets to update the tag on GitHub, but he always
# updates the official homepage at obsproject.com (see Homepage field at
# debian/control file). The following rule is a workaround to check the current
# version on the official homepage and to call this version from the GitHub.

# LINTIAN will warn about the filenamemangle. The filenamemangle is needed
# because we are using jumps and workarounds to get the last version from the
# upstream. Consequently, the name got by uscan is an HTML code (this is trash,
# no filename, no version).

opts="searchmode=plain, \
      downloadurlmangle=s/.*u-muted..([\d\.]+).*/https:\/\/github.com\/exeldro\/@PACKAGE@\/archive\/refs\/tags\/$1\.tar\.gz/, \
      filenamemangle=s/.*muted..([\d\.]+)..span./@PACKAGE@-$1\.tar\.gz/" \
https://obsproject.com/forum/resources/scene-notes-dock.1398 .span.class..u-muted..(\d\S+)..span.

## obs-scene-notes-dock 0.3.0

=== CMakeLists.txt ===
# --- Detect if the plugin is build out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.16...3.26)
endif()
include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/common/bootstrap.cmake" NO_POLICY_SCOPE)

project(${_name} VERSION ${_version})

include(compilerconfig)
include(defaults)
include(helpers)

add_library(${PROJECT_NAME} MODULE)

target_link_libraries(${PROJECT_NAME} PRIVATE OBS::libobs)

if(BUILD_OUT_OF_TREE)
  find_package(libobs REQUIRED)
  find_package(obs-frontend-api REQUIRED)
  target_link_libraries(${PROJECT_NAME} PRIVATE OBS::obs-frontend-api)
else()
  target_link_libraries(${PROJECT_NAME} PRIVATE OBS::frontend-api)
endif()

find_package(Qt6 COMPONENTS Widgets Core)
if(BUILD_OUT_OF_TREE)
  if(OS_LINUX OR OS_FREEBSD OR OS_OPENBSD)
    find_package(Qt6 REQUIRED Gui)
  endif()
endif()
target_link_libraries(${PROJECT_NAME} PRIVATE Qt::Core Qt::Widgets)

if((OS_LINUX OR OS_FREEBSD OR OS_OPENBSD) AND Qt_VERSION VERSION_LESS "6.9.0")
	target_link_libraries(${PROJECT_NAME} PRIVATE Qt::GuiPrivate)
endif()

target_compile_options(
${PROJECT_NAME} PRIVATE $<$<C_COMPILER_ID:Clang,AppleClang>:-Wno-quoted-include-in-framework-header
                                -Wno-comma>)
set_target_properties(${PROJECT_NAME} PROPERTIES MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
set_target_properties(
${PROJECT_NAME}
PROPERTIES AUTOMOC ON
            AUTOUIC ON
            AUTORCC ON)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

if(OS_WINDOWS)
  configure_file(cmake/windows/resources/installer-Windows.iss.in "${CMAKE_CURRENT_BINARY_DIR}/installer-Windows.generated.iss")
endif()

target_sources(${PROJECT_NAME} PRIVATE
	scene-notes-dock.cpp
	scene-notes-dock.hpp
	version.h)

if(BUILD_OUT_OF_TREE)
	set_target_properties_plugin(${CMAKE_PROJECT_NAME} PROPERTIES OUTPUT_NAME ${_name})
else()
	set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
endif()

=== debian/changelog ===
obs-scene-notes-dock (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0.
  * debian/clean: added cmake/.CMakeBuildNumber.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Changed from qt6-base-dev to qt6-base-private-dev in Build-Depends
        field.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
      - Updated dependencies to require libobs-dev and obs-studio >= 32.
        (Closes: #1128462)
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/: dropped all patches because the upstream fixed the source
    code. Thanks!
  * debian/rules: added override for blhc to ignore CMake ABI tests.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Feb 2026 12:54:48 -0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: obs-scene-notes-dock
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libobs-dev (>= 29),
+               libobs-dev (>= 32),
                libxkbcommon-dev,
-               qt6-base-dev
-Standards-Version: 4.7.2
+               qt6-base-private-dev
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/scene-notes-dock.1398/
 Vcs-Browser: https://salsa.debian.org/debian/obs-scene-notes-dock
 Vcs-Git: https://salsa.debian.org/debian/obs-scene-notes-dock.git
-Rules-Requires-Root: no
 
 Package: obs-scene-notes-dock
 Architecture: any
-Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
+Depends: obs-studio (>= 32), ${misc:Depends}, ${shlibs:Depends}
 Enhances: obs-studio
 Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio to create notes for each scene

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,10 @@
                              -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
                              -DLINUX_PORTABLE=Off
 
+# blhc should ignore CMake ABI tests.
+execute_before_dh_auto_build:
+	@echo 'blhc: ignore-line-regexp: /usr/bin/c\+\+ .*/Modules/CMakeCXXCompilerABI\.cpp .*'
+
 execute_after_dh_install-arch:
 	# Check if the plugin is in right place
 	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so

=== debian/watch ===
Version: 5

# The following rule is right, but the upstream frequently...
# https://github.com/exeldro/obs-scene-notes-dock/tags archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)
# The upstream frequently forgets to update the tag on GitHub, but he always
# updates the official homepage at obsproject.com (see Homepage field at
# debian/control file). The following rule is a workaround to check the current
# version on the official homepage and to call this version from the GitHub.
# LINTIAN will warn about the filenamemangle. The filenamemangle is needed
# because we are using jumps and workarounds to get the last version from the
# upstream. Consequently, the name got by uscan is an HTML code (this is trash,
# no filename, no version).
Source: https://obsproject.com/forum/resources/scene-notes-dock.1398
Matching-Pattern: .span.class..u-muted..(\d\S+)..span.
Downloadurlmangle: s/.*u-muted..([\d\.]+).*/https:\/\/github.com\/exeldro\/@PACKAGE@\/archive\/refs\/tags\/$1\.tar\.gz/
Filenamemangle: s/.*muted..([\d\.]+)..span./@PACKAGE@-$1\.tar\.gz/
Searchmode: plain
